Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKTableCellFormulaElement Class Reference

class to parse the sf:TableCellFormula element More...

`#include <IWORKFormulaElement.h>`

Inheritance diagram for libetonyek::IWORKTableCellFormulaElement:

## Public Member Functions
| IWORKTableCellFormulaElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
const boost::optional< ID_t > & | getId () const

## Private Attributes
boost::optional< ID_t > | m_id
boost::optional< std::string > | m_formula
boost::optional< std::string > | m_tableId

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Detailed Description

class to parse the sf:TableCellFormula element

## Constructor & Destructor Documentation

## ◆ IWORKTableCellFormulaElement()

libetonyek::IWORKTableCellFormulaElement::IWORKTableCellFormulaElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKTableCellFormulaElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| override private

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKTableCellFormulaElement::element | ( | int | name | ) |
| override private

## ◆ endOfElement()

void libetonyek::IWORKTableCellFormulaElement::endOfElement | ( |  | ) |
| override private

## ◆ getId()

const boost::optional< ID_t > & libetonyek::IWORKTableCellFormulaElement::getId | ( |  | ) | const
| private

Referenced by endOfElement().

## Member Data Documentation

## ◆ m_formula

boost::optional<std::string> libetonyek::IWORKTableCellFormulaElement::m_formula
| private

Referenced by element(), and endOfElement().

## ◆ m_id

boost::optional<ID_t> libetonyek::IWORKTableCellFormulaElement::m_id
| private

Referenced by attribute(), and getId().

## ◆ m_tableId

boost::optional<std::string> libetonyek::IWORKTableCellFormulaElement::m_tableId
| private

Referenced by element().

The documentation for this class was generated from the following files:

- IWORKFormulaElement.h
- IWORKFormulaElement.cpp